* [PATCH v1] ci/check_formatting: Added a script to check formatting
@ 2022-03-31 20:37 ohilyard
2022-04-06 12:48 ` lijuan.tu
0 siblings, 1 reply; 2+ messages in thread
From: ohilyard @ 2022-03-31 20:37 UTC (permalink / raw)
To: dts; +Cc: lijuan.tu, Owen Hilyard
From: Owen Hilyard <ohilyard@iol.unh.edu>
The script should be run from the repository root. It will exit with
exit code 0 if everything is properly formatted. It will exit with exit
code 1 if formatting happened. It will also print a git shortstat diff,
which will display all of the incorrectly formatted files.
Signed-off-by: Owen Hilyard <ohilyard@iol.unh.edu>
---
ci/README.md | 10 ++++++++++
ci/check_formatting.sh | 13 +++++++++++++
2 files changed, 23 insertions(+)
create mode 100644 ci/README.md
create mode 100755 ci/check_formatting.sh
diff --git a/ci/README.md b/ci/README.md
new file mode 100644
index 00000000..00f12e9b
--- /dev/null
+++ b/ci/README.md
@@ -0,0 +1,10 @@
+# Introduction
+
+This directory and all subdirectories contain scripts and
+configuration related to performing CI for DTS. It may be safely
+ignored by anyone who is not attempting to perform CI for DTS.
+
+## Running
+
+All the scripts in this directory or any of its subdirectories
+are expected to be run from the repository root.
diff --git a/ci/check_formatting.sh b/ci/check_formatting.sh
new file mode 100755
index 00000000..87a07f68
--- /dev/null
+++ b/ci/check_formatting.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+./format.sh
+
+if [ -n "$(git diff --shortstat)" ]; then
+ echo "Formatting: FAIL"
+ echo "Improperly formatted files found, run <dts root>/format.sh and re-submit your patch."
+ git diff --stat
+ exit 1
+else
+ echo "Formatting: PASS"
+ exit 0
+fi
\ No newline at end of file
--
2.30.2
^ permalink raw reply [flat|nested] 2+ messages in thread
* [PATCH v1] ci/check_formatting: Added a script to check formatting
2022-03-31 20:37 [PATCH v1] ci/check_formatting: Added a script to check formatting ohilyard
@ 2022-04-06 12:48 ` lijuan.tu
0 siblings, 0 replies; 2+ messages in thread
From: lijuan.tu @ 2022-04-06 12:48 UTC (permalink / raw)
To: dts, ohilyard; +Cc: lijuan.tu, Owen Hilyard
On Thu, 31 Mar 2022 16:37:44 -0400, ohilyard@iol.unh.edu wrote:
> From: Owen Hilyard <ohilyard@iol.unh.edu>
>
> The script should be run from the repository root. It will exit with
> exit code 0 if everything is properly formatted. It will exit with exit
> code 1 if formatting happened. It will also print a git shortstat diff,
> which will display all of the incorrectly formatted files.
>
> Signed-off-by: Owen Hilyard <ohilyard@iol.unh.edu>
Applied, thanks
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2022-04-06 12:48 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-03-31 20:37 [PATCH v1] ci/check_formatting: Added a script to check formatting ohilyard
2022-04-06 12:48 ` lijuan.tu
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).